## view.page
Class RegistrationPage.RankSelect

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Select
                      view.page.RegistrationPage.RankSelect

Enclosing class:
  RegistrationPage

    private class RegistrationPage.RankSelect

extends Select

A class for a rank selection element.

Constructor Summary
`RegistrationPage.RankSelect(Tournament tournament, Rank selection)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationPage.RankSelect

    public RegistrationPage.RankSelect(Tournament tournament,
                                       Rank selection)

  Constructs the element.

  Parameters:
    `tournament` - the tournament to get the ranks from.
    `selection` - a preselected rank if null, the first rank in the list is preselected